.btn {
    fill: $white;
    color: $white;
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(78);
    font-weight: 500;
    font-size: rem(21);
    line-height: rem(32);
    padding: rem(8) rem(48);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    background: $red;
    border-radius: rem(40);
    transition: .3s;

    &:hover {
        fill: $white;
        color: $white;
    //    background: $rose;
        text-decoration: none;
        transition: .3s;

        b {
            width: 1000px;
            height: 1000px;
        }
    }

    &:active {
        top: 1px;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &:disabled,
    &.disabled {
        background: $gray;
        cursor: default;
        top: 0 !important;

        b {
            opacity: 0;
            visibility: hidden;
        }
    }

    span {
        z-index: 20;
        position: relative;
        display: inline-block;
    }

    i {
        z-index: 20;
        position: relative;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    b {
        position: absolute;
        display: block;
        width: 0;
        height: 0;
        background: $rose;
        border-radius: 50%;
        transform: translate(-50%, -50%);
        transition: width 0.4s, height 0.4s;
        z-index: 5;
    }
}

.btn-lg {
    height: rem(82);
    border-radius: rem(41);

    @include media-breakpoint-up(xl) {
        height: rem(94);
        border-radius: rem(47);
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-nav {
    width: rem(20);
    height: rem(20);
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    fill: $dark;

    i {
        height: rem(14);
        display: inline-block;
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {
        width: rem(40);
        height: rem(40);

        i {
            height: rem(24);
        }
    }
}

.btn-dark {
    background: $dark;

    &:hover {
        background: $dark;
    }

    &:active {
        background: $dark;
    }
}
